Skip to main content
POST
/
rag
/
set
/
{instance}
Create a new RAG bot
curl --request POST \
  --url https://api.zapthinker.com/rag/set/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "enabled": true,
  "triggerType": "all",
  "maxResults": 123,
  "similarityThreshold": 123,
  "modelName": "<string>",
  "temperature": 123,
  "description": "<string>",
  "triggerOperator": "equals",
  "triggerValue": "<string>",
  "expire": 123,
  "keywordFinish": "<string>",
  "delayMessage": 123,
  "unknownMessage": "<string>",
  "listeningFromMe": true,
  "stopBotFromMe": true,
  "keepOpen": true,
  "debounceTime": 123,
  "ignoreJids": [
    "<string>"
  ],
  "splitMessages": true,
  "timePerChar": 123,
  "keyspace": "<string>",
  "aiCategory": "<string>",
  "responsePrompt": "<string>"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Nome da instância

Body

application/json

Configuração do bot RAG

enabled
boolean
required
triggerType
enum<string>
required
Available options:
all,
keyword,
none,
advanced
maxResults
integer
required

Número máximo de resultados da busca semântica

similarityThreshold
number
required

Limiar de similaridade (0 a 1)

modelName
string
required

Nome do modelo de IA (ex: gpt-4o-mini)

temperature
number
required

Temperatura do modelo (0 a 2)

description
string
triggerOperator
enum<string>
Available options:
equals,
contains,
startsWith,
endsWith,
regex
triggerValue
string
expire
integer
keywordFinish
string
delayMessage
integer
unknownMessage
string
listeningFromMe
boolean
stopBotFromMe
boolean
keepOpen
boolean
debounceTime
integer
ignoreJids
string[]
splitMessages
boolean
timePerChar
integer
keyspace
string

Keyspace do banco vetorial

aiCategory
string

Categoria de IA para roteamento

responsePrompt
string

Prompt customizado para respostas

Response

Bot RAG criado com sucesso

The response is of type object.